Bug 1200778 - Support the Lenovo X1 Carbon 3rd touchpad (kernel)
Summary: Support the Lenovo X1 Carbon 3rd touchpad (kernel)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-11 11:31 UTC by Benjamin Tissoires
Modified: 2015-04-07 07:29 UTC (History)
9 users (show)

Fixed In Version: kernel-3.19.3-100.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of: 1186111
Environment:
Last Closed: 2015-03-21 05:00:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 88609 None None None Never

Description Benjamin Tissoires 2015-03-11 11:31:47 UTC
+++ This bug was initially created as a clone of Bug #1186111 +++

+++ This bug was initially created as a clone of Bug #1186107 +++

Description of problem:
The Lenovo X1 Carbon 3rd touchpad has physical buttons again for the trackstick (like the touchpads before the *40 series). Alas, those buttons are wired up to the touchpad device and are interpreted as scroll buttons by the synaptics driver.

Additional info:
https://bugs.freedesktop.org/show_bug.cgi?id=88609

--- Additional comment from Benjamin Tissoires on 2015-03-09 16:07:11 EDT ---

Patches finally showed up in a branch of the input maintainer's tree:
https://git.kernel.org/cgit/linux/kernel/git/dtor/input.git/log/?h=synaptics

If the tests are going well, they will be scheduled for 4.0.

Comment 1 Josh Boyer 2015-03-11 14:29:44 UTC
Patches applied on rawhide and f22 branches.  f21 and f20 will come a bit later today.

Comment 2 Josh Boyer 2015-03-11 17:49:19 UTC
Now in the f21 and f20 branches as well.

Comment 3 Fedora Update System 2015-03-16 19:35:59 UTC
kernel-4.0.0-0.rc4.git0.1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kernel-4.0.0-0.rc4.git0.1.fc22

Comment 4 Fedora Update System 2015-03-17 04:16:01 UTC
kernel-3.19.1-200.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-3.19.1-200.fc21

Comment 5 Fedora Update System 2015-03-18 10:27:01 UTC
Package kernel-3.19.1-200.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.19.1-200.fc21'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4059/kernel-3.19.1-200.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-21 05:00:38 UTC
kernel-3.19.1-201.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-03-22 04:42:49 UTC
kernel-4.0.0-0.rc4.git0.1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-03-27 23:16:31 UTC
kernel-3.19.3-100.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.19.3-100.fc20

Comment 9 Fedora Update System 2015-04-07 07:29:31 UTC
kernel-3.19.3-100.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.